Netduino home hardware projects downloads community

Jump to content


Photo

Help! Backwards compatability!


  • Please log in to reply
6 replies to this topic

#1 david98xp

david98xp

    Advanced Member

  • Members
  • PipPipPip
  • 57 posts

Posted 07 December 2014 - 05:30 AM

I have a netduino 2 with the MF version 4.2. I also have a negative ST7565 LCD. I'm trying to run Fabian Royer's sample app: Netduinohelpers.codeplex.com

The problem is that I can't run it as it's written with MF 4.1.

I tried changing the targeted version under project properties now it come up with these "Check Device hardware" issue.

Help/Fix is needed urgently!



#2 Chris Walker

Chris Walker

    Secret Labs Staff

  • Moderators
  • 7767 posts
  • LocationNew York, NY

Posted 07 December 2014 - 08:29 AM

Hi david,

 

Is the helpers library pre-compiled against NETMF 4.1?  If so, can you get the source and change its target framework to 4.2?

 

Chris



#3 david98xp

david98xp

    Advanced Member

  • Members
  • PipPipPip
  • 57 posts

Posted 07 December 2014 - 06:16 PM

That's exactly what I've done but then their is like one of two more issues.
"check device hardware" or something. My best guess is it's a newer version of hardware as well.

#4 Chris Walker

Chris Walker

    Secret Labs Staff

  • Moderators
  • 7767 posts
  • LocationNew York, NY

Posted 07 December 2014 - 07:13 PM

Hi david,

 

Double-check the .NET Micro Framework deployment target *version* in all projects in your solution--and make sure that you're not referencing any pre-compiled assemblies (that were compiled against an earlier version of NETMF).

 

Then run MFDeploy and check the "Device Capabilities" of your device (ctrl+shift+c): that should tell you what version of NETMF the board is running.

 

As far as versions of hardware go...we take care of those details for you.  As long as the NETMF assemblies in Visual Studio and the NETMF assemblies on the board match, your Netduino 2 should be good to go.

 

Chris



#5 david98xp

david98xp

    Advanced Member

  • Members
  • PipPipPip
  • 57 posts

Posted 08 December 2014 - 04:42 AM

Forgive me Chris but I'm 14 and this is my first netduino. I have had a good experience with VB.net and a little c#. How do I check the version and tell it about the new hardware.

#6 david98xp

david98xp

    Advanced Member

  • Members
  • PipPipPip
  • 57 posts

Posted 08 December 2014 - 06:37 AM

Ok, it's a clean 4.2. Now what?



#7 david98xp

david98xp

    Advanced Member

  • Members
  • PipPipPip
  • 57 posts

Posted 09 December 2014 - 07:00 PM

Hi david,

 

Double-check the .NET Micro Framework deployment target *version* in all projects in your solution--and make sure that you're not referencing any pre-compiled assemblies (that were compiled against an earlier version of NETMF).

 

Then run MFDeploy and check the "Device Capabilities" of your device (ctrl+shift+c): that should tell you what version of NETMF the board is running.

 

As far as versions of hardware go...we take care of those details for you.  As long as the NETMF assemblies in Visual Studio and the NETMF assemblies on the board match, your Netduino 2 should be good to go.

 

Chris

Hello? You there :D?






0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users

home    hardware    projects    downloads    community    where to buy    contact Copyright © 2016 Wilderness Labs Inc.  |  Legal   |   CC BY-SA
This webpage is licensed under a Creative Commons Attribution-ShareAlike License.